Design decisions about the pipeline are indexed and recorded as individual files in this directory.

To add a new decision, please create a pull request that adds a new markdown file named `XX-short-summary.md` to this directory. When replacing a previous decision, change the status of the latter to "Superseded". The new file should have the following structure:

## Title – Decision Statement

## Status – Either Proposed, Rejected, Current, Deprecated or Superseded

## Context

Explain why a decision is needed (problem statement) and provide details of the different options considered when making this decision.

## Decision

State what option was selected and why was it picked over other choices.

## Consequences

Reflect on how this decision will impact other planned work, or what new work needs to be planned to implement the decision.

## Discussion Notes and Linked Issues or Pull Requests

Add any offline discussion notes here, along with associated issue(s) and pull request links.
